bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#24640: Crashes in 25.1


From: Eli Zaretskii
Subject: bug#24640: Crashes in 25.1
Date: Mon, 10 Oct 2016 19:33:34 +0300

> From: Reuben Thomas <address@hidden>
> Date: Mon, 10 Oct 2016 17:12:36 +0100
> Cc: address@hidden
> 
>  I'm not sure. What compiler switches yo used, and what is your GCC
>  version?
> 
> ​$ ./config.status --config
> '--enable-checking=yes,glyphs' '--enable-check-lisp-object-type' 'CFLAGS=-O2 
> -g3'
> 'PKG_CONFIG_PATH=/home/rrt/.local/lib/x86_64-linux-gnu/pkgconfig:/home/rrt/.local/share/pkgconfig'
> ​$​
> gcc --version
> gcc-5.real (Ubuntu 5.4.0-6ubuntu1~16.04.2) 5.4.0 20160609

It would be better to use CFLAGS='-O2 -gdwarf-4 -g3'.

>  Can you give me a shell login to your machine, and set it up so that
>  after a login I could connect to the GDB session with a crashed Emacs?
>  SSH is fine.
> 
> ​Yes, no problem. I'll contact you privately about this.

Thanks.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]